<?php

function wpSocialReviewsDB()
{
    if (!function_exists('wpFluent')) {
        include WPSOCIALREVIEWS_DIR . 'includes/libs/wp-fluent/wp-fluent.php';
    }
    return wpFluent();
}


if (!function_exists('wpsrCustomCronJobRecurrence')) {

    function wpsrCustomCronJobRecurrence($schedules)
    {

        // Adds custom schedules to the existing schedules.
        if (!isset($schedules['2days'])) {
            $schedules['2days'] = array(
                'display' => __('Every 2 Day', 'wpsocialreviews'),
                'interval' => 172800,
            );
        }

        if (!isset($schedules['3days'])) {
            $schedules['3days'] = array(
                'display' => __('Every 3 Day', 'wpsocialreviews'),
                'interval' => 259200,
            );
        }

        if (!isset($schedules['1week'])) {
            $schedules['1week'] = array(
                'display' => __('Every 1 Week', 'wpsocialreviews'),
                'interval' => 604800,
            );
        }

        if (!isset($schedules['2weeks'])) {
            $schedules['2weeks'] = array(
                'display' => __('Every 2 Week', 'wpsocialreviews'),
                'interval' => 1209600,
            );
        }

        if (!isset($schedules['1month'])) {
            $schedules['1month'] = array(
                'display' => __('1 Month', 'wpsocialreviews'),
                'interval' => 60 * 60 * 24 * 30,
            );
        }

        if (!isset($schedules['1year'])) {
            $schedules['1year'] = array(
                'display' => __('1 Year', 'wpsocialreviews'),
                'interval' => 60 * 60 * 24 * 365,
            );
        }

        return $schedules;
    }

    add_filter('cron_schedules', 'wpsrCustomCronJobRecurrence');
}
