<div class="wpsr-ig-header wpsr-gap-<?php echo esc_attr($column_gaps); ?>">
    <div class="wpsr-ig-header-inner">

        <?php if ($header_settings['display_avatar'] === 'true') {
            ?>
            <div class="wpsr-ig-header-logo">
                <a target="_blank"
                   href="<?php echo isset($header['username']) ? esc_url('https://www.instagram.com/' . $header['username']) : ''; ?>">
                    <?php if (!empty($header_settings['custom_profile_photo'])) { ?>
                        <img src="<?php echo esc_url($header_settings['custom_profile_photo']); ?>"/>
                    <?php } else if (isset($header['user_avatar']) && !empty($header['user_avatar'])) { ?>
                        <img src="<?php echo esc_url($header['user_avatar']); ?>">
                    <?php } else { ?>
                        <img src="<?php echo WPSOCIALREVIEWS_URL . 'assets'; ?>/images/template/review-template/placeholder-image.png"/>
                    <?php } ?>
                </a>
            </div>
        <?php } ?>

        <div class="wpsr-ig-header-info">

            <?php if ($header_settings['display_username'] === 'true' && isset($header['username'])) { ?>
                <div class="wpsr-ig-header-name">
                    <a target="_blank" href="<?php echo esc_url('https://www.instagram.com/' . $header['username']); ?>"
                       title="<?php echo esc_attr($header['username']); ?>">
                        @<?php echo esc_html($header['username']); ?>
                    </a>
                </div>
            <?php } ?>

            <?php
            /**
             * instagram_header_statistics hook.
             *
             * @hooked render_instagram_header_statistics_html 10
             * */
            do_action('wpsocialreviews/instagram_header_statistics', $header, $header_settings);
            ?>


            <?php if (isset($header['name']) && !empty($header['name']) && $header_settings['display_name'] === 'true') { ?>
                <h3 class="wpsr-ig-header-fullname">
                    <?php echo $header['name']; ?>
                </h3>
            <?php } ?>

            <?php if ($header_settings['display_description'] === 'true') { ?>
                <div class="wpsr-ig-header-description">

                    <?php if (!empty($header_settings['custom_profile_bio_text'])) { ?>
                        <p> <?php echo nl2br($header_settings['custom_profile_bio_text']); ?></p>
                    <?php } ?>

                    <?php if (empty($header_settings['custom_profile_bio_text']) && isset($header['biography']) && !empty($header['biography'])) { ?>
                        <p><?php echo nl2br($header['biography']); ?></p>
                    <?php } ?>

                </div>
            <?php } ?>

        </div>

        <?php
        /**
         * instagram_follow_button hook.
         *
         * @hooked render_instagram_follow_button_html 10
         * */
        if (!empty($connected_id_details) && isset($follow_button_settings['follow_button_position']) && $follow_button_settings['follow_button_position'] !== 'footer') {
            do_action('wpsocialreviews/instagram_follow_button', $connected_id_details, $follow_button_settings);
        }
        ?>

    </div>
</div>