<?php
if (!empty($feeds) && is_array($feeds)) {

    $column = isset($template_meta['column_number']) ? $template_meta['column_number'] : 4;
    $columnClass = 'wpsr-col-' . $column;
    $layout_type = isset($template_meta['layout_type']) ? $template_meta['layout_type'] : 'grid';

    foreach ($feeds as $index => $feed) {

        if ($index >= $sinceId && $index <= $maxId) {
            ?>
            <?php if ($layout_type !== 'carousel') { ?>
                <div class="wpsr-mb-30 <?php echo esc_attr($columnClass); ?> ">
            <?php } ?>

            <div class="wpsr-ig-post">
                <a class="wpsr-ig-playmode" <?php echo $template_meta['post_settings']['display_mode'] === 'instagram' && isset($feed['permalink']) ? 'href=' . esc_url($feed['permalink']) . '' : ''; ?>
                   target="<?php echo $template_meta['post_settings']['display_mode'] === 'instagram' ? '_blank' : ''; ?>"
                   data-index="<?php echo esc_attr($index); ?>"
                   data-playmode="<?php echo isset($template_meta['post_settings']['display_mode']) ? esc_attr($template_meta['post_settings']['display_mode']) : 'instagram'; ?>"
                   data-template-id="<?php echo esc_attr($templateId); ?>">

                    <?php
                    /**
                     * instagram_post_media hook.
                     *
                     * @hooked wpsr_render_instagram_media_html 10
                     * */
                    do_action('wpsocialreviews/instagram_post_media', $feed, $template_meta);
                    ?>

                </a>

                <?php if (count($feed) > 6) { ?>
                    <div class="wpsr-ig-post-info">

                        <?php
                        /**
                         * instagram_post_statistics hook.
                         *
                         * @hooked render_instagram_statistics_html 10
                         * */
                        do_action('wpsocialreviews/instagram_post_statistics', $feed, $template_meta);

                        /**
                         * instagram_post_caption hook.
                         *
                         * @hooked wpsr_render_instagram_caption_html 10
                         * */
                        do_action('wpsocialreviews/instagram_post_caption', $feed, $template_meta);
                        ?>

                    </div>
                <?php } ?>
            </div>

            <?php if ($layout_type !== 'carousel') { ?>
                </div>
            <?php } ?>

            <?php

        }

    }
}