<?php
if (!empty($reviews) && is_array($reviews)) {
    foreach ($reviews as $index => $review) {
        ?>
        <div class="<?php ($template_meta['templateType'] === 'slider') ? '' : print('wpsr-col-' . $template_meta['column']); ?>">

            <div itemprop="review" itemscope itemtype="http://schema.org/Review"
                 class="wpsr-review-template wpsr-review-template-one <?php echo $review->platform_name ? 'wpsr-review-template-' . $review->platform_name : ''; ?>"
                 style="height:<?php echo ($template_meta['equal_height'] === 'true') ? $template_meta['equalHeightLen'] . 'px' : ''; ?>"
            >

                <?php
                /**
                 * reviewer_image hook.
                 *
                 * @hooked wpsr_render_reviewer_image_html 10
                 * */
                do_action('wpsocialreviews/reviewer_image', $template_meta['reviewer_image'],
                    $review->reviewer_url, $review->reviewer_img);
                ?>

                <div class="wpsr-review-header">

                    <?php
                    /**
                     * review_platform hook.
                     *
                     * @hooked wpsr_render_review_platform_html 10
                     * */
                    do_action('wpsocialreviews/review_platform', $template_meta['isPlatformIcon'],
                        $review->platform_name);
                    ?>

                    <div class="wpsr-review-info">

                        <?php
                        /**
                         * reviewer_name hook.
                         *
                         * @hooked wpsr_render_reviewer_name_html 10
                         * */
                        do_action('wpsocialreviews/reviewer_name', $template_meta['reviewer_name'],
                            $review->reviewer_url, $review->reviewer_name);

                        /**
                         * reviewer_rating hook.
                         *
                         * @hooked wpsr_render_reviewer_rating_html 10
                         * */
                        do_action('wpsocialreviews/reviewer_rating', $template_meta['reviewerrating'],
                            $template_meta['rating_style'], $review->rating, $review->platform_name, $review->recommendation_type);

                        /**
                         * review_date hook.
                         *
                         * @hooked wpsr_render_review_date_html 10
                         * */
                        do_action('wpsocialreviews/review_date', $template_meta['timestamp'],
                            $review->review_time);

                        ?>

                    </div>
                </div>

                <?php
                /**
                 * review_content hook.
                 *
                 * @hooked wpsr_render_review_content_html 10
                 * */
                do_action('wpsocialreviews/review_content', $template_meta['isReviewerText'],
                    $template_meta['content_length'], $template_meta['showContentLength'],
                    $review->reviewer_text, $review->reviewer_url, $review->source_id);

                ?>

            </div>

        </div>

        <?php
    }
}






